#
# spec file for package perl-Test-Taint
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Taint
Version:        1.06
Release:        lp150.1.3
%define cpan_name Test-Taint
Summary:        Tools to test taintedness
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Taint/
Source:         http://www.cpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(My::ObjectHash)
#BuildRequires: perl(Test::Taint)
#BuildRequires: perl(Tie::StdArray)
#BuildRequires: perl(Tie::StdHash)
#BuildRequires: perl(Tie::StdScalar)
%{perl_requires}

%description
Tainted data is data that comes from an unsafe source, such as the command
line, or, in the case of web apps, any GET or POST transactions. Read the
the perlsec manpage man page for details on why tainted data is bad, and
how to untaint the data.

When you're writing unit tests for code that deals with tainted data,
you'll want to have a way to provide tainted data for your routines to
handle, and easy ways to check and report on the taintedness of your data,
in standard the Test::More manpage style.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.06
    [ENHANCEMENTS]
    tainted() now localizes $SIG{__DIE__} before performing the
    taint check.  If the calling program has its own $SIG{__DIE__},
    we don't want to use it.  Thanks, Pete Krawczyk.
    https://rt.cpan.org/Ticket/Display.html?id=23507
    [FIXES]
    Checks for undef before opening files when trying to create
    some taint. Thanks Frédéric Buclin.
    https://rt.cpan.org/Ticket/Display.html?id=51246
* Mon May 30 2011 coolo@novell.com
- regenerate with newest cpanspec
* Fri Apr 22 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs
* Fri Apr 22 2011 jw@novell.com
- initial package 1.04
  * created by cpanspec 1.78.04
